Bug 813873 - New logging action with detailed debug and trace output
New logging action with detailed debug and trace output
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
high Severity high
: CR1
: 5.3.0 GA
Assigned To: tcunning
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 11:59 EDT by Len DiMaggio
Modified: 2014-10-15 13:26 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
There is now a new logging action with detailed debug and trace output that can be added to the action chain.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-15 13:26:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3728 Minor Closed New logging action with detailed debug and trace output 2012-07-26 00:59:50 EDT

  None (edit)
Description Len DiMaggio 2012-04-18 11:59:50 EDT
Description of problem:

https://issues.jboss.org/browse/JBESB-3728 New logging action with
detailed debug and trace output
Fixed in ER1 - this bz is logged to track the fix and to ensure QE verifies

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jiri Pechanec 2012-06-05 07:43:33 EDT
Functionality is present but with a bug in constructor

		
currCategoryName = configTree.getAttribute(ListenerTagNames.SERVICE_CATEGORY_NAME_TAG);
currActionName = configTree.getAttribute(ListenerTagNames.ACTION_ELEMENT_TAG);

There is no category attribute on action element
Comment 2 David Le Sage 2012-07-02 00:59:27 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
There is now a new logging action with
detailed debug and trace output that can be added to the action chain.
Comment 3 Len DiMaggio 2012-07-16 16:31:08 EDT
The code has been changed to:

public ServiceLoggerAction(ConfigTree configTree) {

	myLogger = Logger.getLogger(configTree.getParent().getAttribute(
		ListenerTagNames.SERVICE_CATEGORY_NAME_TAG)
		+ "."
		+ configTree.getParent().getAttribute(ListenerTagNames.SERVICE_NAME_TAG));

	currActionName = configTree.getAttribute(ListenerTagNames.ACTION_ELEMENT_TAG);

	printlnMessage = configTree.getAttribute(PRE_MESSAGE, currActionName);

	payloadProxy = new MessagePayloadProxy(configTree);
}
Comment 4 Jiri Pechanec 2012-07-18 03:54:56 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,2 +1 @@
-There is now a new logging action with
+There is now a new logging action with
detailed debug and trace output that can be added to the action chain.-detailed debug and trace output that can be added to the action chain.
Comment 5 Jiri Pechanec 2012-07-18 10:28:11 EDT
 myLogger = Logger.getLogger(configTree.getParent().getAttribute(
                                ListenerTagNames.SERVICE_CATEGORY_NAME_TAG) + "."
                                + configTree.getParent().getAttribute(ListenerTagNames.SERVICE_NAME_TAG));

Line
currCategoryName = configTree.getAttribute(ListenerTagNames.SERVICE_CATEGORY_NAME_TAG);

should be
currCategoryName = configTree.getAttribute(configTree.getParent().getAttribute(ListenerTagNames.SERVICE_CATEGORY_NAME_TAG));

One more question - why do you concat category and action name? Would not it make more sense to concat service and action name? Or category, service and action?
Comment 6 Douglas Palmer 2012-07-18 17:36:19 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,2 @@
-There is now a new logging action with
detailed debug and trace output that can be added to the action chain.+There is now a new logging action with
+detailed debug and trace output that can be added to the action chain.
Comment 7 Jiri Pechanec 2012-07-19 07:59:56 EDT
public static final String LOG_PAYLOAD_LOCATION_TAG = "get-payload-location";

this line is wrong. The name of the property conflicts with
public static final String GET_PAYLOAD_LOCATION = "get-payload-location";

as defined in MessagePayloadProxy

The property as define in ServiceLoggerAction expects to be true/false and is flag to enable logging of the payload location. Unfortunately it overwrites the location that is expected by MessagePayloadProxy
Comment 8 Jiri Pechanec 2012-07-19 07:59:56 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,2 +1 @@
-There is now a new logging action with
+There is now a new logging action with
detailed debug and trace output that can be added to the action chain.-detailed debug and trace output that can be added to the action chain.
Comment 9 Jiri Pechanec 2012-07-19 08:02:27 EDT
public static final String LOG_PAYLOAD_LOCATION_TAG = "get-payload-location";

this line is wrong. The name of the property conflicts with
public static final String GET_PAYLOAD_LOCATION = "get-payload-location";

as defined in MessagePayloadProxy

The property as define in ServiceLoggerAction expects to be true/false and is flag to enable logging of the payload location. Unfortunately it overwrites the location that is expected by MessagePayloadProxy
Comment 10 tcunning 2012-07-19 12:58:10 EDT
Fixed the issue Jiri talks about above, and also changed the log4j category to <JBOSSESB-COMMON-STRING>.<DEPLOYMENT>
.<SERVICE-CATEGORY>.<SERVICE-NAME> so that we can filter by deployment and provide a case where all ServiceLoggerActions are configured.
Comment 11 tcunning 2012-07-19 12:58:10 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1,2 @@
-There is now a new logging action with
detailed debug and trace output that can be added to the action chain.+There is now a new logging action with
+detailed debug and trace output that can be added to the action chain.
Comment 12 Ryan Zhang 2012-07-20 02:35:09 EDT
Please verify this issue on 5.3.0 CR1.
Comment 13 Jiri Pechanec 2012-07-23 07:16:24 EDT
Verified in CR1

Note You need to log in before you can comment on or make changes to this bug.